AbstractCache (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.modules.session.bootstrap

## Class AbstractCache

- java.lang.Object
- - org.apache.geode.modules.session.bootstrap.AbstractCache

- Direct Known Subclasses:
    ClientServerCache, PeerToPeerCache

      public abstract class AbstractCache
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GemFireCache` | `cache`
    `protected float` | `criticalHeapPercentage`
    `protected static float` | `DEFAULT_CRITICAL_HEAP_PERCENTAGE`
    `protected static float` | `DEFAULT_EVICTION_HEAP_PERCENTAGE`
    `protected static java.lang.String` | `DEFAULT_LOG_FILE_NAME`
    `protected static java.lang.String` | `DEFAULT_STATISTIC_ARCHIVE_FILE_NAME`
    `protected float` | `evictionHeapPercentage`
    `protected java.util.Map<java.lang.String,java.lang.String>` | `gemfireProperties`
    `protected static AbstractCache` | `instance` Instance reference which is set in static initialization blocks of any subclasses.
    `protected static org.slf4j.Logger` | `LOGGER`
    `protected boolean` | `rebalance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCache()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected void` | `closeCache()`
    `protected java.util.Properties` | `createDistributedSystemProperties()`
    `protected abstract void` | `createOrRetrieveCache()`
    `GemFireCache` | `getCache()`
    `protected java.io.File` | `getCacheXmlFile()`
    `java.lang.String` | `getCacheXmlFileName()`
    `float` | `getCriticalHeapPercentage()`
    `protected abstract java.lang.String` | `getDefaultCacheXmlFileName()`
    `float` | `getEvictionHeapPercentage()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getGemFireProperties()`
    `protected java.io.File` | `getLogFile()`
    `java.lang.String` | `getLogFileName()`
    `org.slf4j.Logger` | `getLogger()`
    `boolean` | `getRebalance()`
    `protected java.io.File` | `getStatisticArchiveFile()`
    `java.lang.String` | `getStatisticArchiveFileName()`
    `protected void` | `initializeResourceManager()`
    `boolean` | `isStarted()`
    `void` | `lifecycleEvent(LifecycleTypeAdapter eventType)`
    `protected abstract void` | `rebalanceCache()`
    `void` | `setCriticalHeapPercentage(java.lang.String criticalHeapPercentage)`
    `void` | `setEvictionHeapPercentage(java.lang.String evictionHeapPercentage)`
    `void` | `setProperty(java.lang.String name, java.lang.String value)`
    `void` | `setRebalance(boolean rebalance)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cache

          protected GemFireCache cache

    - #### DEFAULT_LOG_FILE_NAME

          protected static final java.lang.String DEFAULT_LOG_FILE_NAME

    - #### DEFAULT_STATISTIC_ARCHIVE_FILE_NAME

          protected static final java.lang.String DEFAULT_STATISTIC_ARCHIVE_FILE_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_EVICTION_HEAP_PERCENTAGE

          protected static final float DEFAULT_EVICTION_HEAP_PERCENTAGE

      See Also:
        Constant Field Values

    - #### DEFAULT_CRITICAL_HEAP_PERCENTAGE

          protected static final float DEFAULT_CRITICAL_HEAP_PERCENTAGE

      See Also:
        Constant Field Values

    - #### LOGGER

          protected static final org.slf4j.Logger LOGGER

    - #### evictionHeapPercentage

          protected float evictionHeapPercentage

    - #### criticalHeapPercentage

          protected float criticalHeapPercentage

    - #### rebalance

          protected boolean rebalance

    - #### gemfireProperties

          protected final java.util.Map<java.lang.String,java.lang.String> gemfireProperties

    - #### instance

          protected static AbstractCache instance

      Instance reference which is set in static initialization blocks of any subclasses.

  - ### Constructor Detail

    - #### AbstractCache

          public AbstractCache()

  - ### Method Detail

    - #### lifecycleEvent

          public void lifecycleEvent(LifecycleTypeAdapter eventType)

    - #### isStarted

          public boolean isStarted()

    - #### close

          public void close()

    - #### getCache

          public GemFireCache getCache()

    - #### getLogFileName

          public java.lang.String getLogFileName()

    - #### getStatisticArchiveFileName

          public java.lang.String getStatisticArchiveFileName()

    - #### getCacheXmlFileName

          public java.lang.String getCacheXmlFileName()

    - #### getCacheXmlFile

          protected java.io.File getCacheXmlFile()

    - #### getEvictionHeapPercentage

          public float getEvictionHeapPercentage()

    - #### setEvictionHeapPercentage

          public void setEvictionHeapPercentage(java.lang.String evictionHeapPercentage)

    - #### getCriticalHeapPercentage

          public float getCriticalHeapPercentage()

    - #### setCriticalHeapPercentage

          public void setCriticalHeapPercentage(java.lang.String criticalHeapPercentage)

    - #### setRebalance

          public void setRebalance(boolean rebalance)

    - #### getRebalance

          public boolean getRebalance()

    - #### getGemFireProperties

          public java.util.Map<java.lang.String,java.lang.String> getGemFireProperties()

    - #### setProperty

          public void setProperty(java.lang.String name,
                                  java.lang.String value)

    - #### getLogger

          public org.slf4j.Logger getLogger()

    - #### createDistributedSystemProperties

          protected java.util.Properties createDistributedSystemProperties()

    - #### closeCache

          protected void closeCache()

    - #### getLogFile

          protected java.io.File getLogFile()

    - #### getStatisticArchiveFile

          protected java.io.File getStatisticArchiveFile()

    - #### initializeResourceManager

          protected void initializeResourceManager()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### createOrRetrieveCache

          protected abstract void createOrRetrieveCache()

    - #### rebalanceCache

          protected abstract void rebalanceCache()

    - #### getDefaultCacheXmlFileName

          protected abstract java.lang.String getDefaultCacheXmlFileName()